// File:  SoundApplet\AppletSoundList.java

import javax.swing.*;
import java.applet.*;
import java.net.URL;

// Loads and holds a bunch of audio files whose locations are specified
// relative to a fixed base URL.

class AppletSoundList extends java.util.Hashtable {
    JApplet applet;
    URL baseURL;

    public AppletSoundList(JApplet applet, int nNumSounds, URL baseURL) {
        super(nNumSounds);     // Initialize Hashtable with capacity of nNumSounds entries

        this.applet  = applet;
        this.baseURL = baseURL;
    }

    public void startLoading(String relativeURL) {
        new AppletSoundLoader(applet, this, baseURL, relativeURL);
    }

    public AudioClip getClip(String relativeURL) {
        return (AudioClip)get(relativeURL);
    }

    public void putClip(AudioClip clip, String relativeURL) {
        put(relativeURL, clip);
    }
}
